import documentViewer
import MpdlXmlTextServer
import MpiwgXmlTextServer
import HocrTextServer

def initialize(context):
    """initialize ImageCollection"""
    context.registerClass(
        documentViewer.documentViewer,
        constructors = (
          documentViewer.manage_AddDocumentViewerForm,
          documentViewer.manage_AddDocumentViewer
          )
        )

    context.registerClass(
        MpdlXmlTextServer.MpdlXmlTextServer,
        constructors = (
          MpdlXmlTextServer.manage_addMpdlXmlTextServerForm,
          MpdlXmlTextServer.manage_addMpdlXmlTextServer
          )
        )

    context.registerClass(
        MpiwgXmlTextServer.MpiwgXmlTextServer,
        constructors = (
          MpiwgXmlTextServer.manage_addMpiwgXmlTextServerForm,
          MpiwgXmlTextServer.manage_addMpiwgXmlTextServer
          )
        )
    
    
    context.registerClass(
        HocrTextServer.HocrTextServer,
        constructors = (
          HocrTextServer.manage_addHocrTextServerForm,
          HocrTextServer.manage_addHocrTextServer
          )
        )

    